### Constructor

# PapersView PrintOperation new

#### Declaration [src]

    PpsPrintOperation*
    pps_print_operation_new (
      PpsDocument* document
    )

#### Description [src]

Factory method to construct `PpsPrintOperation`.

#### Parameters

`document`

  Type: `PpsDocument`

  A `PpsDocument`.

  The data is owned by the caller of the function.

#### Return value

Type: `PpsPrintOperation`

A `PpsPrintOperation`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.